Get all cost reports
curl --request GET \
--url https://api.vantage.sh/v2/cost_reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/cost_reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/cost_reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/cost_reports",
"first": "https://api.vantage.sh/v2/cost_reports?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/cost_reports?page=1",
"prev": null
},
"cost_reports": [
{
"token": "rprt_6f2c7d330c05636f",
"title": "Untitled",
"folder_token": null,
"saved_filter_tokens": [
"svd_fltr_9f2aca5e894b432a"
],
"business_metric_tokens_with_metadata": [],
"default_forecast": {
"kind": "baseline"
},
"filter": null,
"groupings": "service,provider",
"settings": {
"include_credits": false,
"include_refunds": false,
"include_discounts": true,
"include_tax": true,
"amortize": true,
"unallocated": false,
"aggregate_by": "cost",
"show_previous_period": true,
"complete_period": false
},
"created_at": "2024-07-03T00:00:00Z",
"workspace_token": "wrkspc_3f4145fd51b19463",
"previous_period_start_date": null,
"previous_period_end_date": null,
"start_date": "2024-07-01",
"end_date": "2024-07-31",
"date_interval": "this_month",
"chart_type": "line",
"date_bin": "cumulative",
"chart_settings": {
"y_axis_dimension": "cost",
"x_axis_dimension": [
"date"
]
}
}
]
}Costs
Get all cost reports
Return all CostReports.
GET
/
cost_reports
Get all cost reports
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
The token for the Folder you would like to fetch Reports from.
⌘I